Subject: Re: [pkix] [Technical Errata Reported] RFC6844 (5244)

From: Corey Bonnell <[email-masked]>
Date: Thu, 1 Feb 2018 13:15:24 +0000

Hello,
I submitted this erratum in response to discussions that occurred on the LAMPS WG mailing list (https://www.ietf.org/mail-archive/web/spasm/current/msg01104.html) as well as in the CA/B Forum Validation WG. Those discussions concluded that the current wording of the RFC is ambiguous, but the intent is clear.

We would like to clarify the ambiguity in the CA/B Forum Baseline Requirements, but several CA/B Forum members commented that it would be best to first submit this erratum and have it approved (https://cabforum.org/pipermail/public/2018-January/012848.html) so that it can be referenced in the Baseline Requirements directly in the same manner Erratum 5065 was handled. Since this is not a compatibility-breaking or semantics-altering change but merely a clarification, I am hoping that this erratum can be approved relatively quickly so that we can proceed with including this erratum in the Baseline Requirements.

Is there anything I can do to help get this erratum approved or perhaps address any concerns with how I phrased the proposed clarification?

Thanks,
Corey
 
Corey Bonnell
Senior Software Engineer

t: +1 412.395.2233
Trustwave | SMART SECURITY ON DEMAND
2017 Best Managed Security Service Winner – SC Media

On 1/26/18, 12:06 PM, "RFC Errata System" <[email-masked]> wrote:

    The following errata report has been submitted for RFC6844,
    "DNS Certification Authority Authorization (CAA) Resource Record".
    
    --------------------------------------
    You may review the report below and at:
    http://scanmail.trustwave.com/?c=4062&d=qODr2ljMcZiegKB1K004ErBtY19Ag-0zjoN4ZPjMog&s=5&u=http%3a%2f%2fwww%2erfc-editor%2eorg%2ferrata%2feid5244
    
    --------------------------------------
    Type: Technical
    Reported by: Corey Bonnell <[email-masked]>
    
    Section: 5.2
    
    Original Text
    -------------
    CAA authorizations are additive; thus, the result of specifying both
    the empty issuer and a specified issuer is the same as specifying
    just the specified issuer alone.
    
    Corrected Text
    --------------
    CAA authorizations are additive; thus, the result of specifying both
    the empty issuer and a specified issuer is the same as specifying
    just the specified issuer alone.  A non-empty CAA record set that does
    not contain an issue property tag is authorization to any certificate
    issuer to issue for the corresponding domain, provided that no
    records in the CAA record set otherwise prohibit issuance.
    
    Notes
    -----
    The current wording in the RFC does not clearly state how non-empty CAA record sets which do not contain any "issue" property tags should be handled in terms of whether or not such record sets authorize issuance. The additional wording clarifies the correct handling of this case.
    
    Instructions:
    -------------
    This erratum is currently posted as "Reported". If necessary, please
    use "Reply All" to discuss whether it should be verified or
    rejected. When a decision is reached, the verifying party  
    can log in to change the status and edit the report, if necessary. 
    
    --------------------------------------
    RFC6844 (draft-ietf-pkix-caa-15)
    --------------------------------------
    Title               : DNS Certification Authority Authorization (CAA) Resource Record
    Publication Date    : January 2013
    Author(s)           : P. Hallam-Baker, R. Stradling
    Category            : PROPOSED STANDARD
    Source              : Public-Key Infrastructure (X.509)
    Area                : Security
    Stream              : IETF
    Verifying Party     : IESG